package com.sky.mapper;

import com.sky.pojo.entity.DishFlavor;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface DishFlavorMapper {
    /**
     * 向口味中插入n条数据
     *
     * @param flavors 口味
     */
    void insertBatch(List<DishFlavor> flavors);

    /**
     * 删除关联的口味
     *
     * @param dishIds 删除的id
     */
    void deleteByDishIds(List<Long> dishIds);

    /**
     * 根据菜品id查询口味数据
     *
     * @param dishId 菜品id
     * @return 菜品口味列表
     */
    List<DishFlavor> getByDishId(Long dishId);
}
