package com.sky.mapper;

import com.sky.pojo.entity.SetmealDish;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SetMealDishMapper {
    /**
     * 根据菜品id查询对应的套餐id
     *
     * @param dishIds 菜品列表id
     * @return list
     */
    List<Long> getSetmealIdsByDishIds(List<Long> dishIds);

    /**
     * 根据id查找菜品
     *
     * @param dishId id
     * @return 菜品列表
     */
    List<SetmealDish> getBySetmealId(Long dishId);

    /**
     * 删除相关套餐菜品
     *
     * @param setmealId 套餐菜品id
     */
    void deleteBySetmealId(Long setmealId);

    /**
     * 删除相关套餐菜品
     *
     * @param setmealIds 套餐菜品id
     */
    void deleteBySetmealIds(List<Long> setmealIds);

    /**
     * 插入菜品
     *
     * @param setmealDishes 菜品列表
     */
    void insert(List<SetmealDish> setmealDishes);
}
