package com.sky.service;


import com.sky.pojo.vo.OrderReportVO;
import com.sky.pojo.vo.SalesTop10ReportVO;
import com.sky.pojo.vo.TurnoverReportVO;
import com.sky.pojo.vo.UserReportVO;

import javax.servlet.http.HttpServletResponse;
import java.time.LocalDate;

public interface ReportService {
    /**
     * 营业额数据统计
     *
     * @param begin 开始时间
     * @param end   结束时间
     * @return 营业额数据统计
     */
    TurnoverReportVO getTurnover(LocalDate begin, LocalDate end);

    /**
     * 用户数据统计
     *
     * @param begin 开始时间
     * @param end   结束时间
     * @return 用户数据统计
     */
    UserReportVO getUserStatistics(LocalDate begin, LocalDate end);

    /**
     * 订单统计接口
     *
     * @param begin 开始时间
     * @param end   结束时间
     * @return 订单统计
     */
    OrderReportVO getOrdersStatistics(LocalDate begin, LocalDate end);

    /**
     * 查询销量排名top10接口
     *
     * @param begin 开始时间
     * @param end   结束时间
     * @return 销量排名top10
     */
    SalesTop10ReportVO getTop10Statistics(LocalDate begin, LocalDate end);

    /**
     * 导出Excel报表接口
     *
     * @param response HttpServletResponse
     */
    void exportBusinessData(HttpServletResponse response);
}
